/*각도데이터 좌표데이터로 변경함수*/

function getCoordData() {
	var url = 'getCoordData.do';
	var param = '';
	requestService(url, param, getCoordDataCallback);
}

function getCoordDataCallback(xml) {
	var cnt = $(xml).find("list").length;
	var commState = 0;
	var simulFlag = 'N';
	if(cnt > 0 )
	{
		$(xml).find("list").each(function(e){
			var regionCd = $(this).find("REGION_CD").text();
			var intNo = $(this).find("INT_NO").text();
			var mapNo = $(this).find("MAP_NO").text();
			var xCoord = $(this).find("X_COORD").text();
			var yCoord = $(this).find("Y_COORD").text();
			var aRing0 = $(this).find("A_RING_1_PHASE_CONF_CD").text();
			var aRing1 = $(this).find("A_RING_2_PHASE_CONF_CD").text();
			var aRing2 = $(this).find("A_RING_3_PHASE_CONF_CD").text();
			var aRing3 = $(this).find("A_RING_4_PHASE_CONF_CD").text();
			var aRing4 = $(this).find("A_RING_5_PHASE_CONF_CD").text();
			var aRing5 = $(this).find("A_RING_6_PHASE_CONF_CD").text();
			var aRing6 = $(this).find("A_RING_7_PHASE_CONF_CD").text();
			var aRing7 = $(this).find("A_RING_8_PHASE_CONF_CD").text();
			var bRing0 = $(this).find("B_RING_1_PHASE_CONF_CD").text();
			var bRing1 = $(this).find("B_RING_2_PHASE_CONF_CD").text();
			var bRing2 = $(this).find("B_RING_3_PHASE_CONF_CD").text();
			var bRing3 = $(this).find("B_RING_4_PHASE_CONF_CD").text();
			var bRing4 = $(this).find("B_RING_5_PHASE_CONF_CD").text();
			var bRing5 = $(this).find("B_RING_6_PHASE_CONF_CD").text();
			var bRing6 = $(this).find("B_RING_7_PHASE_CONF_CD").text();
			var bRing7 = $(this).find("B_RING_8_PHASE_CONF_CD").text();
			
			var aRingPhaseTempArr = null;
			var bRingPhaseTempArr = null;
			
			aRingPhaseTempArr = new ringPhaseData(aRing0,aRing1,aRing2,aRing3,aRing4,aRing5,aRing6,aRing7);
			bRingPhaseTempArr = new ringPhaseData(bRing0,bRing1,bRing2,bRing3,bRing4,bRing5,bRing6,bRing7);
			
			setCoordToAngle(regionCd,intNo,mapNo,xCoord,yCoord,aRingPhaseTempArr,bRingPhaseTempArr);
		});
	}
	
}

function setCoordToAngle(regionCd,intNo,mapNo,xCoord,yCoord,aRingPhaseTempArr,bRingPhaseTempArr) {
	var ringTemp1 = null;
	var ringTemp2 = null;
	var ringTemp3 = null;
	var ringTemp4 = null;
	var ringTemp5 = null;
	var ringTemp6 = null;
	var ringTemp7 = null;
	var ringTemp8 = null;
	
	var signalDrawArrMeta = [];
	
	var ringTemp1 = new SignalDraw(aRingPhaseTempArr.ring0, bRingPhaseTempArr.ring0, xCoord, yCoord, regionCd, intNo, mapNo, '', '', '', '', '');
	var ringTemp2 = new SignalDraw(aRingPhaseTempArr.ring1, bRingPhaseTempArr.ring1, xCoord, yCoord, regionCd, intNo, mapNo, '', '', '', '', '');
	var ringTemp3 = new SignalDraw(aRingPhaseTempArr.ring2, bRingPhaseTempArr.ring2, xCoord, yCoord, regionCd, intNo, mapNo, '', '', '', '', '');
	var ringTemp4 = new SignalDraw(aRingPhaseTempArr.ring3, bRingPhaseTempArr.ring3, xCoord, yCoord, regionCd, intNo, mapNo, '', '', '', '', '');
	var ringTemp5 = new SignalDraw(aRingPhaseTempArr.ring4, bRingPhaseTempArr.ring4, xCoord, yCoord, regionCd, intNo, mapNo, '', '', '', '', '');
	var ringTemp6 = new SignalDraw(aRingPhaseTempArr.ring5, bRingPhaseTempArr.ring5, xCoord, yCoord, regionCd, intNo, mapNo, '', '', '', '', '');
	var ringTemp7 = new SignalDraw(aRingPhaseTempArr.ring6, bRingPhaseTempArr.ring6, xCoord, yCoord, regionCd, intNo, mapNo, '', '', '', '', '');
	var ringTemp8 = new SignalDraw(aRingPhaseTempArr.ring7, bRingPhaseTempArr.ring7, xCoord, yCoord, regionCd, intNo, mapNo, '', '', '', '', '');
	
	var ringPhaseMap = new HashMap();
	
	ringPhaseMap.put('regionCd',regionCd); 
	ringPhaseMap.put('intNo',intNo); 
	ringPhaseMap.put('mapNo',mapNo); 
	ringPhaseMap.put('aRingPhase1StrtX'  ,(ringTemp1.listCoordA == "") ? "" : String(ringTemp1.listCoordA[0].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase1StrtY'  ,(ringTemp1.listCoordA == "") ? "" : String(ringTemp1.listCoordA[0].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase1MiddleX',(ringTemp1.listCoordA == "") ? "" : String(ringTemp1.listCoordA[1].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase1MiddleY',(ringTemp1.listCoordA == "") ? "" : String(ringTemp1.listCoordA[1].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase1EndX'   ,(ringTemp1.listCoordA == "") ? "" : String(ringTemp1.listCoordA[2].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase1EndY'   ,(ringTemp1.listCoordA == "") ? "" : String(ringTemp1.listCoordA[2].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase2StrtX'  ,(ringTemp2.listCoordA == "") ? "" : String(ringTemp2.listCoordA[0].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase2StrtY'  ,(ringTemp2.listCoordA == "") ? "" : String(ringTemp2.listCoordA[0].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase2MiddleX',(ringTemp2.listCoordA == "") ? "" : String(ringTemp2.listCoordA[1].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase2MiddleY',(ringTemp2.listCoordA == "") ? "" : String(ringTemp2.listCoordA[1].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase2EndX'   ,(ringTemp2.listCoordA == "") ? "" : String(ringTemp2.listCoordA[2].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase2EndY'   ,(ringTemp2.listCoordA == "") ? "" : String(ringTemp2.listCoordA[2].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase3StrtX'  ,(ringTemp3.listCoordA == "") ? "" : String(ringTemp3.listCoordA[0].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase3StrtY'  ,(ringTemp3.listCoordA == "") ? "" : String(ringTemp3.listCoordA[0].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase3MiddleX',(ringTemp3.listCoordA == "") ? "" : String(ringTemp3.listCoordA[1].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase3MiddleY',(ringTemp3.listCoordA == "") ? "" : String(ringTemp3.listCoordA[1].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase3EndX'   ,(ringTemp3.listCoordA == "") ? "" : String(ringTemp3.listCoordA[2].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase3EndY'   ,(ringTemp3.listCoordA == "") ? "" : String(ringTemp3.listCoordA[2].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase4StrtX'  ,(ringTemp4.listCoordA == "") ? "" : String(ringTemp4.listCoordA[0].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase4StrtY'  ,(ringTemp4.listCoordA == "") ? "" : String(ringTemp4.listCoordA[0].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase4MiddleX',(ringTemp4.listCoordA == "") ? "" : String(ringTemp4.listCoordA[1].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase4MiddleY',(ringTemp4.listCoordA == "") ? "" : String(ringTemp4.listCoordA[1].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase4EndX'   ,(ringTemp4.listCoordA == "") ? "" : String(ringTemp4.listCoordA[2].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase4EndY'   ,(ringTemp4.listCoordA == "") ? "" : String(ringTemp4.listCoordA[2].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase5StrtX'  ,(ringTemp5.listCoordA == "") ? "" : String(ringTemp5.listCoordA[0].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase5StrtY'  ,(ringTemp5.listCoordA == "") ? "" : String(ringTemp5.listCoordA[0].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase5MiddleX',(ringTemp5.listCoordA == "") ? "" : String(ringTemp5.listCoordA[1].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase5MiddleY',(ringTemp5.listCoordA == "") ? "" : String(ringTemp5.listCoordA[1].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase5EndX'   ,(ringTemp5.listCoordA == "") ? "" : String(ringTemp5.listCoordA[2].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase5EndY'   ,(ringTemp5.listCoordA == "") ? "" : String(ringTemp5.listCoordA[2].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase6StrtX'  ,(ringTemp6.listCoordA == "") ? "" : String(ringTemp6.listCoordA[0].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase6StrtY'  ,(ringTemp6.listCoordA == "") ? "" : String(ringTemp6.listCoordA[0].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase6MiddleX',(ringTemp6.listCoordA == "") ? "" : String(ringTemp6.listCoordA[1].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase6MiddleY',(ringTemp6.listCoordA == "") ? "" : String(ringTemp6.listCoordA[1].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase6EndX'   ,(ringTemp6.listCoordA == "") ? "" : String(ringTemp6.listCoordA[2].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase6EndY'   ,(ringTemp6.listCoordA == "") ? "" : String(ringTemp6.listCoordA[2].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase7StrtX'  ,(ringTemp7.listCoordA == "") ? "" : String(ringTemp7.listCoordA[0].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase7StrtY'  ,(ringTemp7.listCoordA == "") ? "" : String(ringTemp7.listCoordA[0].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase7MiddleX',(ringTemp7.listCoordA == "") ? "" : String(ringTemp7.listCoordA[1].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase7MiddleY',(ringTemp7.listCoordA == "") ? "" : String(ringTemp7.listCoordA[1].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase7EndX'   ,(ringTemp7.listCoordA == "") ? "" : String(ringTemp7.listCoordA[2].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase7EndY'   ,(ringTemp7.listCoordA == "") ? "" : String(ringTemp7.listCoordA[2].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase8StrtX'  ,(ringTemp8.listCoordA == "") ? "" : String(ringTemp8.listCoordA[0].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase8StrtY'  ,(ringTemp8.listCoordA == "") ? "" : String(ringTemp8.listCoordA[0].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase8MiddleX',(ringTemp8.listCoordA == "") ? "" : String(ringTemp8.listCoordA[1].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase8MiddleY',(ringTemp8.listCoordA == "") ? "" : String(ringTemp8.listCoordA[1].Lat).substr(0,10));
	ringPhaseMap.put('aRingPhase8EndX'   ,(ringTemp8.listCoordA == "") ? "" : String(ringTemp8.listCoordA[2].Lng).substr(0,10));
	ringPhaseMap.put('aRingPhase8EndY'   ,(ringTemp8.listCoordA == "") ? "" : String(ringTemp8.listCoordA[2].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase1StrtX'  ,(ringTemp1.listCoordB == "") ? "" : String(ringTemp1.listCoordB[0].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase1StrtY'  ,(ringTemp1.listCoordB == "") ? "" : String(ringTemp1.listCoordB[0].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase1MiddleX',(ringTemp1.listCoordB == "") ? "" : String(ringTemp1.listCoordB[1].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase1MiddleY',(ringTemp1.listCoordB == "") ? "" : String(ringTemp1.listCoordB[1].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase1EndX'   ,(ringTemp1.listCoordB == "") ? "" : String(ringTemp1.listCoordB[2].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase1EndY'   ,(ringTemp1.listCoordB == "") ? "" : String(ringTemp1.listCoordB[2].Lat).substr(0,10));                    
	ringPhaseMap.put('bRingPhase2StrtX'  ,(ringTemp2.listCoordB == "") ? "" : String(ringTemp2.listCoordB[0].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase2StrtY'  ,(ringTemp2.listCoordB == "") ? "" : String(ringTemp2.listCoordB[0].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase2MiddleX',(ringTemp2.listCoordB == "") ? "" : String(ringTemp2.listCoordB[1].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase2MiddleY',(ringTemp2.listCoordB == "") ? "" : String(ringTemp2.listCoordB[1].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase2EndX'   ,(ringTemp2.listCoordB == "") ? "" : String(ringTemp2.listCoordB[2].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase2EndY'   ,(ringTemp2.listCoordB == "") ? "" : String(ringTemp2.listCoordB[2].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase3StrtX'  ,(ringTemp3.listCoordB == "") ? "" : String(ringTemp3.listCoordB[0].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase3StrtY'  ,(ringTemp3.listCoordB == "") ? "" : String(ringTemp3.listCoordB[0].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase3MiddleX',(ringTemp3.listCoordB == "") ? "" : String(ringTemp3.listCoordB[1].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase3MiddleY',(ringTemp3.listCoordB == "") ? "" : String(ringTemp3.listCoordB[1].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase3EndX'   ,(ringTemp3.listCoordB == "") ? "" : String(ringTemp3.listCoordB[2].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase3EndY'   ,(ringTemp3.listCoordB == "") ? "" : String(ringTemp3.listCoordB[2].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase4StrtX'  ,(ringTemp4.listCoordB == "") ? "" : String(ringTemp4.listCoordB[0].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase4StrtY'  ,(ringTemp4.listCoordB == "") ? "" : String(ringTemp4.listCoordB[0].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase4MiddleX',(ringTemp4.listCoordB == "") ? "" : String(ringTemp4.listCoordB[1].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase4MiddleY',(ringTemp4.listCoordB == "") ? "" : String(ringTemp4.listCoordB[1].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase4EndX'   ,(ringTemp4.listCoordB == "") ? "" : String(ringTemp4.listCoordB[2].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase4EndY'   ,(ringTemp4.listCoordB == "") ? "" : String(ringTemp4.listCoordB[2].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase5StrtX'  ,(ringTemp5.listCoordB == "") ? "" : String(ringTemp5.listCoordB[0].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase5StrtY'  ,(ringTemp5.listCoordB == "") ? "" : String(ringTemp5.listCoordB[0].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase5MiddleX',(ringTemp5.listCoordB == "") ? "" : String(ringTemp5.listCoordB[1].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase5MiddleY',(ringTemp5.listCoordB == "") ? "" : String(ringTemp5.listCoordB[1].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase5EndX'   ,(ringTemp5.listCoordB == "") ? "" : String(ringTemp5.listCoordB[2].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase5EndY'   ,(ringTemp5.listCoordB == "") ? "" : String(ringTemp5.listCoordB[2].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase6StrtX'  ,(ringTemp6.listCoordB == "") ? "" : String(ringTemp6.listCoordB[0].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase6StrtY'  ,(ringTemp6.listCoordB == "") ? "" : String(ringTemp6.listCoordB[0].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase6MiddleX',(ringTemp6.listCoordB == "") ? "" : String(ringTemp6.listCoordB[1].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase6MiddleY',(ringTemp6.listCoordB == "") ? "" : String(ringTemp6.listCoordB[1].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase6EndX'   ,(ringTemp6.listCoordB == "") ? "" : String(ringTemp6.listCoordB[2].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase6EndY'   ,(ringTemp6.listCoordB == "") ? "" : String(ringTemp6.listCoordB[2].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase7StrtX'  ,(ringTemp7.listCoordB == "") ? "" : String(ringTemp7.listCoordB[0].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase7StrtY'  ,(ringTemp7.listCoordB == "") ? "" : String(ringTemp7.listCoordB[0].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase7MiddleX',(ringTemp7.listCoordB == "") ? "" : String(ringTemp7.listCoordB[1].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase7MiddleY',(ringTemp7.listCoordB == "") ? "" : String(ringTemp7.listCoordB[1].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase7EndX'   ,(ringTemp7.listCoordB == "") ? "" : String(ringTemp7.listCoordB[2].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase7EndY'   ,(ringTemp7.listCoordB == "") ? "" : String(ringTemp7.listCoordB[2].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase8StrtX'  ,(ringTemp8.listCoordB == "") ? "" : String(ringTemp8.listCoordB[0].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase8StrtY'  ,(ringTemp8.listCoordB == "") ? "" : String(ringTemp8.listCoordB[0].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase8MiddleX',(ringTemp8.listCoordB == "") ? "" : String(ringTemp8.listCoordB[1].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase8MiddleY',(ringTemp8.listCoordB == "") ? "" : String(ringTemp8.listCoordB[1].Lat).substr(0,10));
	ringPhaseMap.put('bRingPhase8EndX'   ,(ringTemp8.listCoordB == "") ? "" : String(ringTemp8.listCoordB[2].Lng).substr(0,10));
	ringPhaseMap.put('bRingPhase8EndY'   ,(ringTemp8.listCoordB == "") ? "" : String(ringTemp8.listCoordB[2].Lat).substr(0,10));

	setCoordFnc(ringPhaseMap);

}

function setCoordFnc(map) {
	var url = 'setSigCoord.do';
	var param = 'regionCd='+map.get('regionCd')+
	'&intNo='+map.get('intNo')+      
	'&mapNo='+map.get('mapNo')+
	'&aRingPhase1StrtX='+map.get('aRingPhase1StrtX')+
	'&aRingPhase1StrtY='+map.get('aRingPhase1StrtY')+
	'&aRingPhase1MiddleX='+map.get('aRingPhase1MiddleX')+
	'&aRingPhase1MiddleY='+map.get('aRingPhase1MiddleY')+
	'&aRingPhase1EndX='+map.get('aRingPhase1EndX')+
	'&aRingPhase1EndY='+map.get('aRingPhase1EndY')+
	'&bRingPhase1StrtX='+map.get('bRingPhase1StrtX')+
	'&bRingPhase1StrtY='+map.get('bRingPhase1StrtY')+
	'&bRingPhase1MiddleX='+map.get('bRingPhase1MiddleX')+
	'&bRingPhase1MiddleY='+map.get('bRingPhase1MiddleY')+
	'&bRingPhase1EndX='+map.get('bRingPhase1EndX')+
	'&bRingPhase1EndY='+map.get('bRingPhase1EndY')+                    
	'&aRingPhase2StrtX='+map.get('aRingPhase2StrtX')+
	'&aRingPhase2StrtY='+map.get('aRingPhase2StrtY')+
	'&aRingPhase2MiddleX='+map.get('aRingPhase2MiddleX')+
	'&aRingPhase2MiddleY='+map.get('aRingPhase2MiddleY')+
	'&aRingPhase2EndX='+map.get('aRingPhase2EndX')+
	'&aRingPhase2EndY='+map.get('aRingPhase2EndY')+
	'&bRingPhase2StrtX='+map.get('bRingPhase2StrtX')+
	'&bRingPhase2StrtY='+map.get('bRingPhase2StrtY')+
	'&bRingPhase2MiddleX='+map.get('bRingPhase2MiddleX')+
	'&bRingPhase2MiddleY='+map.get('bRingPhase2MiddleY')+
	'&bRingPhase2EndX='+map.get('bRingPhase2EndX')+
	'&bRingPhase2EndY='+map.get('bRingPhase2EndY')+
	'&aRingPhase3StrtX='+map.get('aRingPhase3StrtX')+
	'&aRingPhase3StrtY='+map.get('aRingPhase3StrtY')+
	'&aRingPhase3MiddleX='+map.get('aRingPhase3MiddleX')+
	'&aRingPhase3MiddleY='+map.get('aRingPhase3MiddleY')+
	'&aRingPhase3EndX='+map.get('aRingPhase3EndX')+
	'&aRingPhase3EndY='+map.get('aRingPhase3EndY')+
	'&bRingPhase3StrtX='+map.get('bRingPhase3StrtX')+
	'&bRingPhase3StrtY='+map.get('bRingPhase3StrtY')+
	'&bRingPhase3MiddleX='+map.get('bRingPhase3MiddleX')+
	'&bRingPhase3MiddleY='+map.get('bRingPhase3MiddleY')+
	'&bRingPhase3EndX='+map.get('bRingPhase3EndX')+
	'&bRingPhase3EndY='+map.get('bRingPhase3EndY')+
	'&aRingPhase4StrtX='+map.get('aRingPhase4StrtX')+
	'&aRingPhase4StrtY='+map.get('aRingPhase4StrtY')+
	'&aRingPhase4MiddleX='+map.get('aRingPhase4MiddleX')+
	'&aRingPhase4MiddleY='+map.get('aRingPhase4MiddleY')+
	'&aRingPhase4EndX='+map.get('aRingPhase4EndX')+
	'&aRingPhase4EndY='+map.get('aRingPhase4EndY')+
	'&bRingPhase4StrtX='+map.get('bRingPhase4StrtX')+
	'&bRingPhase4StrtY='+map.get('bRingPhase4StrtY')+
	'&bRingPhase4MiddleX='+map.get('bRingPhase4MiddleX')+
	'&bRingPhase4MiddleY='+map.get('bRingPhase4MiddleY')+
	'&bRingPhase4EndX='+map.get('bRingPhase4EndX')+
	'&bRingPhase4EndY='+map.get('bRingPhase4EndY')+
	'&aRingPhase5StrtX='+map.get('aRingPhase5StrtX')+
	'&aRingPhase5StrtY='+map.get('aRingPhase5StrtY')+
	'&aRingPhase5MiddleX='+map.get('aRingPhase5MiddleX')+
	'&aRingPhase5MiddleY='+map.get('aRingPhase5MiddleY')+
	'&aRingPhase5EndX='+map.get('aRingPhase5EndX')+
	'&aRingPhase5EndY='+map.get('aRingPhase5EndY')+
	'&bRingPhase5StrtX='+map.get('bRingPhase5StrtX')+
	'&bRingPhase5StrtY='+map.get('bRingPhase5StrtY')+
	'&bRingPhase5MiddleX='+map.get('bRingPhase5MiddleX')+
	'&bRingPhase5MiddleY='+map.get('bRingPhase5MiddleY')+
	'&bRingPhase5EndX='+map.get('bRingPhase5EndX')+
	'&bRingPhase5EndY='+map.get('bRingPhase5EndY')+
	'&aRingPhase6StrtX='+map.get('aRingPhase6StrtX')+
	'&aRingPhase6StrtY='+map.get('aRingPhase6StrtY')+
	'&aRingPhase6MiddleX='+map.get('aRingPhase6MiddleX')+
	'&aRingPhase6MiddleY='+map.get('aRingPhase6MiddleY')+
	'&aRingPhase6EndX='+map.get('aRingPhase6EndX')+
	'&aRingPhase6EndY='+map.get('aRingPhase6EndY')+
	'&bRingPhase6StrtX='+map.get('bRingPhase6StrtX')+
	'&bRingPhase6StrtY='+map.get('bRingPhase6StrtY')+
	'&bRingPhase6MiddleX='+map.get('bRingPhase6MiddleX')+
	'&bRingPhase6MiddleY='+map.get('bRingPhase6MiddleY')+
	'&bRingPhase6EndX='+map.get('bRingPhase6EndX')+
	'&bRingPhase6EndY='+map.get('bRingPhase6EndY')+
	'&aRingPhase7StrtX='+map.get('aRingPhase7StrtX')+
	'&aRingPhase7StrtY='+map.get('aRingPhase7StrtY')+
	'&aRingPhase7MiddleX='+map.get('aRingPhase7MiddleX')+
	'&aRingPhase7MiddleY='+map.get('aRingPhase7MiddleY')+
	'&aRingPhase7EndX='+map.get('aRingPhase7EndX')+
	'&aRingPhase7EndY='+map.get('aRingPhase7EndY')+
	'&bRingPhase7StrtX='+map.get('bRingPhase7StrtX')+
	'&bRingPhase7StrtY='+map.get('bRingPhase7StrtY')+
	'&bRingPhase7MiddleX='+map.get('bRingPhase7MiddleX')+
	'&bRingPhase7MiddleY='+map.get('bRingPhase7MiddleY')+
	'&bRingPhase7EndX='+map.get('bRingPhase7EndX')+
	'&bRingPhase7EndY='+map.get('bRingPhase7EndY')+
	'&aRingPhase8StrtX='+map.get('aRingPhase8StrtX')+
	'&aRingPhase8StrtY='+map.get('aRingPhase8StrtY')+
	'&aRingPhase8MiddleX='+map.get('aRingPhase8MiddleX')+
	'&aRingPhase8MiddleY='+map.get('aRingPhase8MiddleY')+
	'&aRingPhase8EndX='+map.get('aRingPhase8EndX')+
	'&aRingPhase8EndY='+map.get('aRingPhase8EndY')+
	'&bRingPhase8StrtX='+map.get('bRingPhase8StrtX')+
	'&bRingPhase8StrtY='+map.get('bRingPhase8StrtY')+
	'&bRingPhase8MiddleX='+map.get('bRingPhase8MiddleX')+
	'&bRingPhase8MiddleY='+map.get('bRingPhase8MiddleY')+
	'&bRingPhase8EndX='+map.get('bRingPhase8EndX')+
	'&bRingPhase8EndY='+map.get('bRingPhase8EndY');
	requestService(url, param, setSigCoordCallback);
}

function setSigCoordCallback(data) {
	console.log('success!');
}